Device Support for NI Python Modular Instruments Drivers

Updated Jun 25, 2019

Reported In

Driver

  • NI-DCPower
  • NI-SWITCH
  • NI-FGEN
  • NI-SCOPE
  • NI-DMM
  • NI-ModInst

Issue Details

I want to use the NI Modular Instruments Python drivers (nimi-python), but I'm not sure what devices they support.  How can I verify what devices are supported by these drivers?

Solution

The Python drivers provide an interface to the underlying NI drivers, which means that the device support is based on what version of the NI driver you have installed.  Check the readmes of the underlying NI drivers to verify device support.

WAS THIS ARTICLE HELPFUL?

Not Helpful